POST api/printertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PrinterTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| description | string |
Required |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"id": "ccef3dc1-42c8-43d9-96fd-04635753cdfa",
"active": true,
"description": "sample string 3",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<printer_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 3</description> <id>ccef3dc1-42c8-43d9-96fd-04635753cdfa</id> <type>sample string 4</type> </printer_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c57db9c5-bef4-4c7d-9599-0d13ce4ef797"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c57db9c5-bef4-4c7d-9599-0d13ce4ef797</guid>